Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.model.item
Class Movie

    java.lang.Object
      org.fourthline.cling.support.model.DIDLObject
          org.fourthline.cling.support.model.item.Item
              org.fourthline.cling.support.model.item.VideoItem
                  org.fourthline.cling.support.model.item.Movie

    public class Movie

extends VideoItem

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from class org.fourthline.cling.support.model.DIDLObject
`DIDLObject.Class, DIDLObject.Property<V>`

Field Summary
`static DIDLObject.Class` | `CLASS`

Fields inherited from class org.fourthline.cling.support.model.item.Item
`refID`

Fields inherited from class org.fourthline.cling.support.model.DIDLObject
`clazz, creator, descMetadata, id, parentID, properties, resources, restricted, title, writeStatus`

Constructor Summary
`Movie()`
`Movie(Item other)`
`Movie(String id, Container parent, String title, String creator, Res... resource)`
`Movie(String id, String parentID, String title, String creator, Res... resource)`

Method Summary
`String` | `getChannelName()`
`Integer` | `getDVDRegionCode()`
`String` | `getFirstScheduledEndTime()`
`String` | `getFirstScheduledStartTime()`
`String[]` | `getScheduledEndTimes()`
`String[]` | `getScheduledStartTimes()`
`StorageMedium` | `getStorageMedium()`
`Movie` | `setChannelName(String channelName)`
`Movie` | `setDVDRegionCode(Integer DVDRegionCode)`
`Movie` | `setScheduledEndTimes(String[] strings)`
`Movie` | `setScheduledStartTimes(String[] strings)`
`Movie` | `setStorageMedium(StorageMedium storageMedium)`

Methods inherited from class org.fourthline.cling.support.model.item.VideoItem
`getActors, getDescription, getDirectors, getFirstActor, getFirstDirector, getFirstGenre, getFirstProducer, getFirstPublisher, getFirstRelation, getGenres, getLanguage, getLongDescription, getProducers, getPublishers, getRating, getRelations, setActors, setDescription, setDirectors, setGenres, setLanguage, setLongDescription, setProducers, setPublishers, setRating, setRelations`

Methods inherited from class org.fourthline.cling.support.model.item.Item
`getRefID, setRefID`

Methods inherited from class org.fourthline.cling.support.model.DIDLObject
`addDescMetadata, addProperties, addProperty, addResource, equals, getClazz, getCreator, getDescMetadata, getFirstProperty, getFirstPropertyValue, getFirstResource, getId, getLastProperty, getParentID, getProperties, getProperties, getPropertiesByNamespace, getPropertyValues, getResources, getTitle, getWriteStatus, hashCode, hasProperty, isRestricted, removeProperties, replaceFirstProperty, replaceProperties, setClazz, setCreator, setDescMetadata, setId, setParentID, setProperties, setResources, setRestricted, setTitle, setWriteStatus`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS

    public static final DIDLObject.Class CLASS

Constructor Detail

### Movie

    public Movie()

### Movie

    public Movie(Item other)

### Movie

    public Movie(String id,
                 Container parent,
                 String title,
                 String creator,
                 Res... resource)

### Movie

    public Movie(String id,
                 String parentID,
                 String title,
                 String creator,
                 Res... resource)

Method Detail

### getStorageMedium

    public StorageMedium getStorageMedium()

### setStorageMedium

    public Movie setStorageMedium(StorageMedium storageMedium)

### getDVDRegionCode

    public Integer getDVDRegionCode()

### setDVDRegionCode

    public Movie setDVDRegionCode(Integer DVDRegionCode)

### getChannelName

    public String getChannelName()

### setChannelName

    public Movie setChannelName(String channelName)

### getFirstScheduledStartTime

    public String getFirstScheduledStartTime()

### getScheduledStartTimes

    public String[] getScheduledStartTimes()

### setScheduledStartTimes

    public Movie setScheduledStartTimes(String[] strings)

### getFirstScheduledEndTime

    public String getFirstScheduledEndTime()

### getScheduledEndTimes

    public String[] getScheduledEndTimes()

### setScheduledEndTimes

    public Movie setScheduledEndTimes(String[] strings)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.